"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _button = _interopRequireDefault(require("@govuk-react/button"));

var _constants = require("@govuk-react/constants");

function _templateObject() {
  var data = (0, _taggedTemplateLiteral2["default"])(["\n  margin-bottom: 0;\n  margin-top: ", ";\n  ", " {\n    margin-left: ", ";\n    margin-top: 0;\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

var Link = (0, _styledComponents["default"])('a')(_templateObject(), _constants.SPACING.SCALE_3, _constants.MEDIA_QUERIES.TABLET, _constants.SPACING.SCALE_3);

var ActivityFeedAction = function ActivityFeedAction(_ref) {
  var text = _ref.text,
      link = _ref.link;
  return /*#__PURE__*/_react["default"].createElement(_button["default"], {
    key: text,
    as: Link,
    href: link,
    buttonColour: "#dee0e2",
    buttonTextColour: "#000"
  }, text);
};

ActivityFeedAction.propTypes = {
  text: _propTypes["default"].string.isRequired,
  link: _propTypes["default"].string.isRequired
};
var _default = ActivityFeedAction;
exports["default"] = _default;