"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _constants = require("@govuk-react/constants");

var _unorderedList = _interopRequireDefault(require("@govuk-react/unordered-list"));

var _listItem = _interopRequireDefault(require("@govuk-react/list-item"));

function _templateObject2() {
  var data = (0, _taggedTemplateLiteral2["default"])(["\n  ", " {\n    font-size: 16px;\n  }\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = (0, _taggedTemplateLiteral2["default"])(["\n  margin-bottom: 0;\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

var StyledUnorderedList = (0, _styledComponents["default"])(_unorderedList["default"])(_templateObject());
var StyledListItem = (0, _styledComponents["default"])(_listItem["default"])(_templateObject2(), _constants.MEDIA_QUERIES.TABLET);

var CardDetailsList = function CardDetailsList(_ref) {
  var items = _ref.items,
      itemRenderer = _ref.itemRenderer,
      itemPropName = _ref.itemPropName;
  return /*#__PURE__*/_react["default"].createElement(StyledUnorderedList, {
    listStyleType: "none"
  }, items.map(function (item, index) {
    return /*#__PURE__*/_react["default"].createElement(StyledListItem, {
      key: item.id
    }, itemRenderer(item, index, itemPropName));
  }));
};

CardDetailsList.propTypes = {
  items: _propTypes["default"].arrayOf(_propTypes["default"].object).isRequired,
  itemRenderer: _propTypes["default"].any.isRequired,
  itemPropName: _propTypes["default"].string
};
CardDetailsList.defaultProps = {
  itemPropName: null
};
var _default = CardDetailsList;
exports["default"] = _default;