"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _link = _interopRequireDefault(require("@govuk-react/link"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var ContactItemRenderer = function ContactItemRenderer(item) {
  var name = /*#__PURE__*/_react["default"].createElement(_link["default"], {
    href: item.url
  }, item.name);

  var jobTitle = item.jobTitle ? /*#__PURE__*/_react["default"].createElement("span", null, "(", item.jobTitle, ")") : null;
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, name, " ", jobTitle);
};

ContactItemRenderer.propTypes = {
  contact: _propTypes["default"].shape({
    name: _propTypes["default"].string.isRequired,
    url: _propTypes["default"].string,
    // Can't set this as 'isRequired'
    jobTitle: _propTypes["default"].string
  }).isRequired
};
var _default = ContactItemRenderer;
exports["default"] = _default;