"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = require("react");

function useAddressSearch(addressSearchCallback) {
  var _useState = (0, _react.useState)(null),
      _useState2 = (0, _slicedToArray2["default"])(_useState, 2),
      addressList = _useState2[0],
      setAddressList = _useState2[1];

  var _useState3 = (0, _react.useState)(null),
      _useState4 = (0, _slicedToArray2["default"])(_useState3, 2),
      error = _useState4[0],
      setError = _useState4[1];

  var _useState5 = (0, _react.useState)(false),
      _useState6 = (0, _slicedToArray2["default"])(_useState5, 2),
      isSubmitting = _useState6[0],
      setIsSubmitting = _useState6[1];

  function onAddressSearch(_x) {
    return _onAddressSearch.apply(this, arguments);
  }

  function _onAddressSearch() {
    _onAddressSearch = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee(postcode) {
      return _regenerator["default"].wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              _context.prev = 0;
              setIsSubmitting(true);
              setError(null);
              _context.t0 = setAddressList;
              _context.next = 6;
              return addressSearchCallback(postcode);

            case 6:
              _context.t1 = _context.sent;
              (0, _context.t0)(_context.t1);
              _context.next = 14;
              break;

            case 10:
              _context.prev = 10;
              _context.t2 = _context["catch"](0);
              setAddressList(null);
              setError('Error occurred while searching for an address.');

            case 14:
              _context.prev = 14;
              setIsSubmitting(false);
              return _context.finish(14);

            case 17:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, null, [[0, 10, 14, 17]]);
    }));
    return _onAddressSearch.apply(this, arguments);
  }

  return {
    error: error,
    addressList: addressList,
    isSubmitting: isSubmitting,
    onAddressSearch: onAddressSearch
  };
}

var _default = useAddressSearch;
exports["default"] = _default;