"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _button = _interopRequireDefault(require("@govuk-react/button"));

var _govukColours = require("govuk-colours");

var _constants = require("@govuk-react/constants");

function _templateObject() {
  var data = (0, _taggedTemplateLiteral2["default"])(["\n  &,\n  &:hover,\n  &:focus {\n    background: transparent;\n    box-shadow: none;\n    color: ", ";\n    cursor: pointer;\n    text-decoration: underline;\n    ", "\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

var ButtonLink = (0, _styledComponents["default"])(_button["default"]).attrs(function (props) {
  return props;
})(_templateObject(), _govukColours.LINK_COLOUR, function (props) {
  return props.inline && "\n      padding: 0;\n      margin: 0 0 0 ".concat(_constants.SPACING.SCALE_1, ";\n      border: 0;\n      width: auto;\n      font: inherit;\n    ");
});
var _default = ButtonLink;
exports["default"] = _default;