"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = require("react");

function useEntitySearch(searchEntitiesCallback) {
  var _useState = (0, _react.useState)([]),
      _useState2 = (0, _slicedToArray2["default"])(_useState, 2),
      entities = _useState2[0],
      setEntities = _useState2[1];

  var _useState3 = (0, _react.useState)(null),
      _useState4 = (0, _slicedToArray2["default"])(_useState3, 2),
      error = _useState4[0],
      setError = _useState4[1];

  var _useState5 = (0, _react.useState)(false),
      _useState6 = (0, _slicedToArray2["default"])(_useState5, 2),
      searching = _useState6[0],
      setSearching = _useState6[1];

  var _useState7 = (0, _react.useState)(false),
      _useState8 = (0, _slicedToArray2["default"])(_useState7, 2),
      searched = _useState8[0],
      setSearched = _useState8[1];

  function onEntitySearch() {
    return _onEntitySearch.apply(this, arguments);
  }

  function _onEntitySearch() {
    _onEntitySearch = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee() {
      var filters,
          newEntities,
          _args = arguments;
      return _regenerator["default"].wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              filters = _args.length > 0 && _args[0] !== undefined ? _args[0] : {};
              _context.prev = 1;
              setSearching(true);
              setError(null);
              _context.next = 6;
              return searchEntitiesCallback(filters);

            case 6:
              newEntities = _context.sent;
              setEntities(newEntities);
              _context.next = 14;
              break;

            case 10:
              _context.prev = 10;
              _context.t0 = _context["catch"](1);
              setEntities([]);
              setError('Error occurred while searching entities.');

            case 14:
              _context.prev = 14;
              setSearching(false);
              setSearched(true);
              return _context.finish(14);

            case 18:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, null, [[1, 10, 14, 18]]);
    }));
    return _onEntitySearch.apply(this, arguments);
  }

  return {
    onEntitySearch: onEntitySearch,
    entities: entities,
    error: error,
    searching: searching,
    searched: searched
  };
}

var _default = useEntitySearch;
exports["default"] = _default;