"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _govukColours = require("govuk-colours");

function _templateObject2() {
  var data = (0, _taggedTemplateLiteral2["default"])(["\n  color: ", ";\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = (0, _taggedTemplateLiteral2["default"])(["\n  color: ", ";\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

var StyledMetaWrapper = (0, _styledComponents["default"])('div')(_templateObject(), _govukColours.BLACK);
var StyledItemLabel = (0, _styledComponents["default"])('span')(_templateObject2(), _govukColours.GREY_1);

function MetadataItem(_ref) {
  var label = _ref.label,
      children = _ref.children;
  return /*#__PURE__*/_react["default"].createElement(StyledMetaWrapper, null, label && /*#__PURE__*/_react["default"].createElement(StyledItemLabel, null, label), " ", children);
}

MetadataItem.propTypes = {
  label: _propTypes["default"].string,
  children: _propTypes["default"].node.isRequired
};
MetadataItem.defaultProps = {
  label: null
};
var _default = MetadataItem;
exports["default"] = _default;