"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _lib = require("@govuk-react/lib");

var _govukColours = require("govuk-colours");

var _constants = require("@govuk-react/constants");

function _templateObject() {
  var data = (0, _taggedTemplateLiteral2["default"])(["\n  border: ", ";\n  color: ", ";\n  font-weight: bold;\n  line-height: 1.5;\n  ", ";\n  ", ";\n  ", ";\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

var StatusMessage = (0, _styledComponents["default"])('div')(_templateObject(), function (_ref) {
  var colour = _ref.colour;
  return "".concat(_constants.SPACING.SCALE_1, " solid ").concat(colour);
}, function (_ref2) {
  var colour = _ref2.colour;
  return colour;
}, _lib.spacing.responsivePadding(4), _lib.spacing.withWhiteSpace({
  marginBottom: 6
}), _constants.FOCUSABLE);
StatusMessage.propTypes = {
  colour: _propTypes["default"].string,
  children: _propTypes["default"].node.isRequired
};
StatusMessage.defaultProps = {
  colour: _govukColours.BLUE
};
var _default = StatusMessage;
exports["default"] = _default;