"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _govukColours = require("govuk-colours");

var _constants = require("@govuk-react/constants");

var _styles = _interopRequireDefault(require("./styles"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2["default"])(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

var smallStyles = {
  option: function option() {
    return _objectSpread(_objectSpread({}, _styles["default"].option.apply(_styles["default"], arguments)), {}, (0, _defineProperty2["default"])({}, _constants.MEDIA_QUERIES.TABLET, {
      fontSize: _constants.FONT_SIZE.SIZE_16
    }));
  },
  noOptionsMessage: function noOptionsMessage() {
    return _objectSpread(_objectSpread({}, _styles["default"].noOptionsMessage.apply(_styles["default"], arguments)), {}, {
      fontSize: _constants.FONT_SIZE.SIZE_16
    });
  },
  control: function control() {
    return _objectSpread(_objectSpread({}, _styles["default"].control.apply(_styles["default"], arguments)), {}, {
      border: "1px solid ".concat(_govukColours.BLACK)
    });
  },
  placeholder: function placeholder() {
    return _objectSpread(_objectSpread({}, _styles["default"].placeholder.apply(_styles["default"], arguments)), {}, (0, _defineProperty2["default"])({}, _constants.MEDIA_QUERIES.TABLET, {
      fontSize: _constants.FONT_SIZE.SIZE_16
    }));
  }
};
var _default = smallStyles;
exports["default"] = _default;