"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2["default"])(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

var NumberUtils = /*#__PURE__*/function () {
  function NumberUtils() {
    (0, _classCallCheck2["default"])(this, NumberUtils);
  }

  (0, _createClass2["default"])(NumberUtils, null, [{
    key: "decimal",
    value: function decimal(number) {
      if (!number && number !== 0) {
        return null;
      }

      var formatter = new Intl.NumberFormat('en-GB', {
        style: 'decimal'
      });
      return formatter.format(number);
    }
  }, {
    key: "currencyGBP",
    value: function currencyGBP(number) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {
        maximumSignificantDigits: 21
      };

      if (!number && number !== 0) {
        return null;
      }

      var formatter = new Intl.NumberFormat('en-GB', _objectSpread({
        style: 'currency',
        currency: 'GBP'
      }, options));
      return formatter.format(number);
    }
  }, {
    key: "currencyUSD",
    value: function currencyUSD(number) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {
        maximumSignificantDigits: 21
      };

      if (!number && number !== 0) {
        return null;
      }

      var formatter = new Intl.NumberFormat('en-US', _objectSpread({
        style: 'currency',
        currency: 'USD'
      }, options));
      return formatter.format(number);
    }
  }, {
    key: "roundToSignificantDigits",
    value: function roundToSignificantDigits(number, sigDig) {
      if (!number && number !== 0) {
        return null;
      }

      return Number(number.toPrecision(sigDig));
    }
  }]);
  return NumberUtils;
}();

exports["default"] = NumberUtils;