"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _govukColours = require("govuk-colours");

var _constants = require("@govuk-react/constants");

var _ActivityFeedCheckbox = _interopRequireDefault(require("./ActivityFeedCheckbox"));

function _templateObject() {
  var data = (0, _taggedTemplateLiteral2["default"])(["\n  border-top: 1px solid ", ";\n  background: ", ";\n  padding: ", ";\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

var ActivityFeedShowAllContainer = (0, _styledComponents["default"])('div')(_templateObject(), _govukColours.WHITE, _govukColours.GREY_3, _constants.SPACING.SCALE_2);

var ActivityFeedShowAll = function ActivityFeedShowAll(_ref) {
  var onChange = _ref.onChange,
      checked = _ref.checked,
      children = _ref.children;
  return /*#__PURE__*/_react["default"].createElement(ActivityFeedShowAllContainer, null, /*#__PURE__*/_react["default"].createElement(_ActivityFeedCheckbox["default"], {
    name: "activityFeedShowAll",
    onChange: onChange,
    checked: checked
  }, children));
};

ActivityFeedShowAll.propTypes = {
  onChange: _propTypes["default"].func.isRequired,
  checked: _propTypes["default"].bool.isRequired,
  children: _propTypes["default"].node.isRequired
};
var _default = ActivityFeedShowAll;
exports["default"] = _default;