"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _constants = require("@govuk-react/constants");

var _EntityListItem = _interopRequireDefault(require("./EntityListItem"));

function _templateObject2() {
  var data = (0, _taggedTemplateLiteral2["default"])(["\n  list-style-type: none;\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = (0, _taggedTemplateLiteral2["default"])(["\n  margin-bottom: ", ";\n  padding-left: 0;\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

var StyledEntityList = (0, _styledComponents["default"])('ol')(_templateObject(), _constants.SPACING.SCALE_4);
var StyledEntityListItem = (0, _styledComponents["default"])('li')(_templateObject2());

var EntityList = function EntityList(_ref) {
  var entities = _ref.entities,
      EntityRenderer = _ref.entityRenderer;
  return /*#__PURE__*/_react["default"].createElement(StyledEntityList, null, entities.map(function (entity) {
    return /*#__PURE__*/_react["default"].createElement(StyledEntityListItem, {
      key: "entity-list-item_".concat(entity.id)
    }, /*#__PURE__*/_react["default"].createElement(EntityRenderer, entity));
  }));
};

EntityList.propTypes = {
  entities: _propTypes["default"].arrayOf(_propTypes["default"].shape({
    id: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].number]).isRequired,
    heading: _propTypes["default"].string.isRequired,
    meta: _propTypes["default"].array.isRequired,
    data: _propTypes["default"].object.isRequired
  })).isRequired,
  entityRenderer: _propTypes["default"].func
};
EntityList.defaultProps = {
  entityRenderer: _EntityListItem["default"]
};
var _default = EntityList;
exports["default"] = _default;