"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _link = _interopRequireDefault(require("@govuk-react/link"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var NewWindowLink = function NewWindowLink(_ref) {
  var href = _ref.href,
      showHelpText = _ref.showHelpText,
      children = _ref.children,
      rest = (0, _objectWithoutProperties2["default"])(_ref, ["href", "showHelpText", "children"]);
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_link["default"], (0, _extends2["default"])({
    href: href,
    target: "_blank",
    "aria-label": "Opens in a new window or tab"
  }, rest), children), ' ', showHelpText && '(opens in a new window or tab)');
};

NewWindowLink.propTypes = {
  href: _propTypes["default"].string.isRequired,
  showHelpText: _propTypes["default"].bool,
  children: _propTypes["default"].node.isRequired
};
NewWindowLink.defaultProps = {
  showHelpText: true
};
var _default = NewWindowLink;
exports["default"] = _default;